Show / Hide Table of Contents

# Struct MachinistGauge

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Gauge

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct MachinistGauge

### Fields

| Improve this Doc View Source

#### Battery

##### Declaration

    public byte Battery

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Heat

##### Declaration

    public byte Heat

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LastSummonBatteryPower

##### Declaration

    public byte LastSummonBatteryPower

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### OverheatTimeRemaining

##### Declaration

    public short OverheatTimeRemaining

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### SummonTimeRemaining

##### Declaration

    public short SummonTimeRemaining

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### TimerActive

##### Declaration

    public byte TimerActive

##### Field Value

Type | Description
--- | ---
System.Byte |